Random letters
Most popular
Newest
Latest
hi lets try kung legit talaga to hahaha. I'm worried kung marereceive ba talaga ngayong January nung taong sinulatan ko last 2018 yung letter ko hahahaha Juskoooo

Read full letter

Labas, Simai, Čia Tau rašo Lina iš praeities {{{{: Dabar yra 2012-12-04 diena, Tu geri braškių arbatą ir žaidi savo paauglišką šaudynių žaidimą, o Henrikas guli skalbinių dėžėje...

Read full letter

hey future me, don’t know why i’m doing this but here i am. right now you’re a freshman @ irvington and it’s nov. 18, 2018. the sunday before thanksgiving break starts. remember?...

Read full letter

hiiiiiiiiiia baboy hahahahhaha

Read full letter

2021 Dear Rohan from 2021, This is your buddy from 2020. I hope corona is gone. That shit bothered a lot. And I so goddamn hope that I've achieved something by 2021. Just a few things is all....

Read full letter

 
Back
 
 
Next
 
Phrase of the day
 
Create a promise
 
Write a letter